# sysbench.mak
# Created by IBM WorkFrame/2 MakeMake at 4:05:00 on 27 May 1996
#
# The actions included in this make file are:
#  Compile::C++ Compiler
#  Link::Linker

.SUFFIXES: .c .obj 

.all: \
    d:\sysbench\src\sysbench.exe

.c.obj:
    @echo " Compile::C++ Compiler "
    icc.exe -DOS2TMR /Ss /Ti /Gm /Fo"%|dpfF.obj" /C %s

d:\sysbench\src\sysbench.exe: \
    d:\sysbench\src\pmb_memspeed.obj \
    d:\sysbench\src\pmb_sieve.obj \
    d:\sysbench\src\dhry_1.obj \
    d:\sysbench\src\dhry_2.obj \
    d:\sysbench\src\diskacc2.obj \
    d:\sysbench\src\pmb_bench.obj \
    d:\sysbench\src\pmb_dhry_1.obj \
    d:\sysbench\src\pmb_dhry_2.obj \
    d:\sysbench\src\pmb_diskio.obj \
    d:\sysbench\src\pmb_dive.obj \
    d:\sysbench\src\pmb_fft.obj \
    d:\sysbench\src\pmb_flops.obj \
    d:\sysbench\src\pmb_gfx.obj \
    d:\sysbench\src\pmb_hanoi.obj \
    d:\sysbench\src\pmb_heaps.obj \
    d:\sysbench\src\pmb_linpack.obj \
    d:\sysbench\src\pmb_main.obj \
    {$(LIB)}dive.lib \
    {$(LIB)}cppopa3.obj \
    {$(LIB)}pmb.def
    @echo " Link::Linker "
    icc.exe @<<
     /B" /de /exepack:2 /pmtype:pm /optfunc"
     /Fed:\sysbench\src\sysbench.exe 
     dive.lib 
     cppopa3.obj 
     pmb.def
     d:\sysbench\src\pmb_memspeed.obj
     d:\sysbench\src\pmb_sieve.obj
     d:\sysbench\src\dhry_1.obj
     d:\sysbench\src\dhry_2.obj
     d:\sysbench\src\diskacc2.obj
     d:\sysbench\src\pmb_bench.obj
     d:\sysbench\src\pmb_dhry_1.obj
     d:\sysbench\src\pmb_dhry_2.obj
     d:\sysbench\src\pmb_diskio.obj
     d:\sysbench\src\pmb_dive.obj
     d:\sysbench\src\pmb_fft.obj
     d:\sysbench\src\pmb_flops.obj
     d:\sysbench\src\pmb_gfx.obj
     d:\sysbench\src\pmb_hanoi.obj
     d:\sysbench\src\pmb_heaps.obj
     d:\sysbench\src\pmb_linpack.obj
     d:\sysbench\src\pmb_main.obj
<<

d:\sysbench\src\pmb_memspeed.obj: \
    d:\sysbench\src\pmb_memspeed.c \
    {d:\sysbench\src;$(INCLUDE);}types.h

d:\sysbench\src\pmb_main.obj: \
    d:\sysbench\src\pmb_main.c \
    {d:\sysbench\src;$(INCLUDE);}types.h \
    {d:\sysbench\src;$(INCLUDE);}pmb_bench.h \
    {d:\sysbench\src;$(INCLUDE);}pmb_datatype.h \
    {d:\sysbench\src;$(INCLUDE);}pmb.h

d:\sysbench\src\pmb_linpack.obj: \
    d:\sysbench\src\pmb_linpack.c

d:\sysbench\src\pmb_heaps.obj: \
    d:\sysbench\src\pmb_heaps.c

d:\sysbench\src\pmb_hanoi.obj: \
    d:\sysbench\src\pmb_hanoi.c

d:\sysbench\src\pmb_gfx.obj: \
    d:\sysbench\src\pmb_gfx.c \
    {d:\sysbench\src;$(INCLUDE);}types.h \
    {d:\sysbench\src;$(INCLUDE);}pmb.h

d:\sysbench\src\pmb_flops.obj: \
    d:\sysbench\src\pmb_flops.c

d:\sysbench\src\pmb_fft.obj: \
    d:\sysbench\src\pmb_fft.c

d:\sysbench\src\pmb_dive.obj: \
    d:\sysbench\src\pmb_dive.c \
    {d:\sysbench\src;$(INCLUDE);}types.h \
    {d:\sysbench\src;$(INCLUDE);}mmioos2.h \
    {d:\sysbench\src;$(INCLUDE);}dive.h \
    {d:\sysbench\src;$(INCLUDE);}fourcc.h \
    {d:\sysbench\src;$(INCLUDE);}pmb.h

d:\sysbench\src\pmb_diskio.obj: \
    d:\sysbench\src\pmb_diskio.c \
    {d:\sysbench\src;$(INCLUDE);}diskacc2.h

d:\sysbench\src\pmb_dhry_2.obj: \
    d:\sysbench\src\pmb_dhry_2.c \
    {d:\sysbench\src;$(INCLUDE);}pmb_dhry.h

d:\sysbench\src\pmb_dhry_1.obj: \
    d:\sysbench\src\pmb_dhry_1.c \
    {d:\sysbench\src;$(INCLUDE);}pmb_dhry.h

d:\sysbench\src\pmb_bench.obj: \
    d:\sysbench\src\pmb_bench.c \
    {d:\sysbench\src;$(INCLUDE);}types.h \
    {d:\sysbench\src;$(INCLUDE);}pmb_bench.h \
    {d:\sysbench\src;$(INCLUDE);}pmb_datatype.h

d:\sysbench\src\diskacc2.obj: \
    d:\sysbench\src\diskacc2.c \
    {d:\sysbench\src;$(INCLUDE);}diskacc2.h

d:\sysbench\src\dhry_2.obj: \
    d:\sysbench\src\dhry_2.c \
    {d:\sysbench\src;$(INCLUDE);}dhry.h

d:\sysbench\src\dhry_1.obj: \
    d:\sysbench\src\dhry_1.c \
    {d:\sysbench\src;$(INCLUDE);}dhry.h

d:\sysbench\src\pmb_sieve.obj: \
    d:\sysbench\src\pmb_sieve.c
